Bug 886959 - (CVE-2012-5634) CVE-2012-5634 kernel: xen: VT-d interrupt remapping source validation flaw
CVE-2012-5634 kernel: xen: VT-d interrupt remapping source validation flaw
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130108,repor...
: Security
Depends On: 893568
Blocks: 886962
  Show dependency treegraph
 
Reported: 2012-12-13 11:52 EST by Petr Matousek
Modified: 2013-08-24 09:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-24 09:50:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2012-12-13 11:52:02 EST
When passing a device which is behind a legacy PCI Bridge through to
a guest Xen incorrectly configures the VT-d hardware. This could allow
incorrect interrupts to be injected to other guests which also have
passthrough devices.

In a typical Xen system many devices are owned by domain 0 or driver
domains, leaving them vulnerable to such an attack. Such a DoS is
likely to have an impact on other guests running in the system.

On systems using Intel VT-d for PCI passthrough a malicious domain,
given access to a device which is behind a legacy PCI bridge, can
mount a denial of service attack affecting the whole system.

Acknowledgements:

Red Hat would like to thank the Xen project for reporting this issue.
Comment 3 Petr Matousek 2012-12-13 11:57:01 EST
Statement:

Not vulnerable.

This issue did not affect the versions of the kernel-xen package as shipped with Red Hat Enterprise Linux 5.

This issue did not affect Red Hat Enterprise Linux 6 and Red Hat Enterprise MRG as we did not have support for Xen hypervisor.
Comment 4 Petr Matousek 2013-01-09 08:25:04 EST
Created xen tracking bugs for this issue

Affects: fedora-all [bug 893568]
Comment 5 Fedora Update System 2013-01-22 20:28:48 EST
xen-4.1.4-2.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-01-22 21:05:31 EST
xen-4.2.1-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2013-02-01 23:28:40 EST
xen-4.1.4-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.